OGRE-Next: Ogre::VulkanMappings Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VulkanMappings Class Reference

`#include <OgreVulkanMappings.h>`

## Static Public Member Functions
static VkAccessFlags | get (BufferPackedTypes bufferPackedTypes)
static VkCompareOp | get (CompareFunction compareFunc)
static VkAccessFlags | get (const TextureGpu *texture)
static VkCullModeFlags | get (CullingMode cullMode)
static VkFilter | get (FilterOptions filter)
static VkPrimitiveTopology | get (OperationType opType)
static VkFormat | get (PixelFormatGpu pf)
static VkPolygonMode | get (PolygonMode polygonMode)
static VkImageLayout | get (ResourceLayout::Layout layout, const TextureGpu *texture)
static VkBlendFactor | get (SceneBlendFactor blendFactor)
static VkBlendOp | get (SceneBlendOperation blendOp)
static GpuConstantType | get (SpvOp op)
static VkStencilOp | get (StencilOperation stencilOp)
static VkSamplerAddressMode | get (TextureAddressingMode mode)
static VkImageViewType | get (TextureTypes::TextureTypes textureType)
static VkFormat | get (VertexElementType vertexElemType)
static VkAccessFlags | getAccessFlags (ResourceLayout::Layout layout, ResourceAccess::ResourceAccess access, const TextureGpu *texture, bool bIsDst)
static uint32_t | getFormatSize (VkFormat format)
static VertexElementSemantic | getHlslSemantic (const char *sem)
static VkImageAspectFlags | getImageAspect (PixelFormatGpu pf, const bool bPreferDepthOverStencil=false)
static VkSamplerMipmapMode | getMipFilter (FilterOptions filter)

## Member Function Documentation

## ◆ get() [1/16]

VkAccessFlags Ogre::VulkanMappings::get | ( | BufferPackedTypes | bufferPackedTypes | ) |
| static

## ◆ get() [2/16]

VkCompareOp Ogre::VulkanMappings::get | ( | CompareFunction | compareFunc | ) |
| static

## ◆ get() [3/16]

VkAccessFlags Ogre::VulkanMappings::get | ( | const TextureGpu * | texture | ) |
| static

## ◆ get() [4/16]

VkCullModeFlags Ogre::VulkanMappings::get | ( | CullingMode | cullMode | ) |
| static

## ◆ get() [5/16]

VkFilter Ogre::VulkanMappings::get | ( | FilterOptions | filter | ) |
| static

## ◆ get() [6/16]

VkPrimitiveTopology Ogre::VulkanMappings::get | ( | OperationType | opType | ) |
| static

## ◆ get() [7/16]

VkFormat Ogre::VulkanMappings::get | ( | PixelFormatGpu | pf | ) |
| static

## ◆ get() [8/16]

VkPolygonMode Ogre::VulkanMappings::get | ( | PolygonMode | polygonMode | ) |
| static

## ◆ get() [9/16]

VkImageLayout Ogre::VulkanMappings::get | ( | ResourceLayout::Layout | layout,
|  | const TextureGpu * | texture )
| static

## ◆ get() [10/16]

VkBlendFactor Ogre::VulkanMappings::get | ( | SceneBlendFactor | blendFactor | ) |
| static

## ◆ get() [11/16]

VkBlendOp Ogre::VulkanMappings::get | ( | SceneBlendOperation | blendOp | ) |
| static

## ◆ get() [12/16]

GpuConstantType Ogre::VulkanMappings::get | ( | SpvOp | op | ) |
| static

## ◆ get() [13/16]

VkStencilOp Ogre::VulkanMappings::get | ( | StencilOperation | stencilOp | ) |
| static

## ◆ get() [14/16]

VkSamplerAddressMode Ogre::VulkanMappings::get | ( | TextureAddressingMode | mode | ) |
| static

## ◆ get() [15/16]

VkImageViewType Ogre::VulkanMappings::get | ( | TextureTypes::TextureTypes | textureType | ) |
| static

## ◆ get() [16/16]

VkFormat Ogre::VulkanMappings::get | ( | VertexElementType | vertexElemType | ) |
| static

## ◆ getAccessFlags()

VkAccessFlags Ogre::VulkanMappings::getAccessFlags | ( | ResourceLayout::Layout | layout,
|  | ResourceAccess::ResourceAccess | access,
|  | const TextureGpu * | texture,
|  | bool | bIsDst )
| static

## ◆ getFormatSize()

uint32_t Ogre::VulkanMappings::getFormatSize | ( | VkFormat | format | ) |
| static

## ◆ getHlslSemantic()

VertexElementSemantic Ogre::VulkanMappings::getHlslSemantic | ( | const char * | sem | ) |
| static

## ◆ getImageAspect()

VkImageAspectFlags Ogre::VulkanMappings::getImageAspect | ( | PixelFormatGpu | pf,
|  | const bool | bPreferDepthOverStencil = false )
| static

## ◆ getMipFilter()

VkSamplerMipmapMode Ogre::VulkanMappings::getMipFilter | ( | FilterOptions | filter | ) |
| static

The documentation for this class was generated from the following file:

- OgreVulkanMappings.h